Bug 23259 - Remove reset-fonts-grids.css
Summary: Remove reset-fonts-grids.css
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-03 17:32 UTC by Owen Leonard
Modified: 2019-08-06 13:12 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23259: Remove reset-fonts-grids.css (13.54 KB, patch)
2019-07-05 15:50 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23259: Remove reset-fonts-grids.css (13.59 KB, patch)
2019-07-05 17:33 UTC, Nadine Pierre
Details | Diff | Splinter Review
Bug 23259: Remove reset-fonts-grids.css (13.66 KB, patch)
2019-07-06 09:30 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-07-03 17:32:02 UTC
The staff client's global CSS file imports a CSS file called "reset-fonts-grids.css," a set of defaults and grid definitions from the YUI library. We can remove this now that we have Bootstrap grids on all staff client pages. Some of our CSS will require some minor updates.
Comment 1 Owen Leonard 2019-07-05 15:50:50 UTC
Created attachment 91334 [details] [review]
Bug 23259: Remove reset-fonts-grids.css

This patch removes the CSS file reset-fonts-grids.css which was required
when the staff client templates used YUI grids. Now that all staff
client templates have been converted to Bootstrap grid markup the file
can be deleted.

Because the YUI CSS also did set some baseline properties for different
tags the global SCSS file is modified in this patch in order to keep
things looking consistent. Most of these updates change font-size
declarations to preserve the previous appearance.

Some styling has been added to (non Bootstrap-classed) <input> and
<button> tags in order to keep button style consistent.

Removed from staff-global.scss: YUI-specific CSS which has been made
obsolete by the template conversions.

To test, apply the patch and rebuild the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).
Clear your browser cache if necessary.

Browse through various pages of thes staff client to confirm that the
changes work well.
Comment 2 Nadine Pierre 2019-07-05 17:33:43 UTC
Created attachment 91336 [details] [review]
Bug 23259: Remove reset-fonts-grids.css

This patch removes the CSS file reset-fonts-grids.css which was required
when the staff client templates used YUI grids. Now that all staff
client templates have been converted to Bootstrap grid markup the file
can be deleted.

Because the YUI CSS also did set some baseline properties for different
tags the global SCSS file is modified in this patch in order to keep
things looking consistent. Most of these updates change font-size
declarations to preserve the previous appearance.

Some styling has been added to (non Bootstrap-classed) <input> and
<button> tags in order to keep button style consistent.

Removed from staff-global.scss: YUI-specific CSS which has been made
obsolete by the template conversions.

To test, apply the patch and rebuild the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).
Clear your browser cache if necessary.

Browse through various pages of thes staff client to confirm that the
changes work well.

Signed-off-by: Nadine Pierre <nadine.pierre@inLibro.com>
Comment 3 Katrin Fischer 2019-07-06 09:30:46 UTC
Created attachment 91388 [details] [review]
Bug 23259: Remove reset-fonts-grids.css

This patch removes the CSS file reset-fonts-grids.css which was required
when the staff client templates used YUI grids. Now that all staff
client templates have been converted to Bootstrap grid markup the file
can be deleted.

Because the YUI CSS also did set some baseline properties for different
tags the global SCSS file is modified in this patch in order to keep
things looking consistent. Most of these updates change font-size
declarations to preserve the previous appearance.

Some styling has been added to (non Bootstrap-classed) <input> and
<button> tags in order to keep button style consistent.

Removed from staff-global.scss: YUI-specific CSS which has been made
obsolete by the template conversions.

To test, apply the patch and rebuild the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).
Clear your browser cache if necessary.

Browse through various pages of thes staff client to confirm that the
changes work well.

Signed-off-by: Nadine Pierre <nadine.pierre@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Martin Renvoize 2019-07-15 11:22:23 UTC
Nice work!

Pushed to master for 19.11.00
Comment 5 Fridolin SOMERS 2019-08-06 13:12:20 UTC
Enhancement not pushed to 19.05.x